Bug 470820 - (CVE-2008-5006) CVE-2008-5006 uw-imap: NULL pointer dereference in smtp.c
CVE-2008-5006 uw-imap: NULL pointer dereference in smtp.c
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,reported=20081103,...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-10 09:09 EST by Tomas Hoger
Modified: 2016-03-04 07:39 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-30 09:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-11-10 09:09:13 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-5006 to the following vulnerability:

smtp.c in the c-client library in University of Washington IMAP
Toolkit 2007b allows remote SMTP servers to cause a denial of service
(NULL pointer dereference and application crash) by responding to the
QUIT command with a close of the TCP connection instead of the
expected 221 response code.

References:
http://www.openwall.com/lists/oss-security/2008/11/03/5
Comment 1 Josh Bressers 2008-11-25 15:07:19 EST
This source is also contained in pine (which we ship in RHEL2.1).  It's unlikely that pine would ever be connecting to a malicious SMTP server.
Comment 2 Tomas Hoger 2009-01-30 09:49:34 EST
The affected code is not used by any application shipped in Red Hat Enterprise Linux 2.1, 3, 4, and 5.  The impact of this flaw is limited to a crash of the applications connecting to a misbehaving SMTP server.  Due to those reasons, there's currently no plan to include the fix in the imap packages as shipped in Red Hat Enterprise Linux 2.1 and 3, and the libc-client packages as shipped in Red Hat Enterprise Linux 4 and 5.

Version of uw-imap client packages as shipped in Fedora are already updated to upstream version 2007e, containing a fix for this issue.

Note You need to log in before you can comment on or make changes to this bug.